import com.decontextualize.a2z.TextFilter;

public class Compare {

  public static void main(String[] args) {
    // get filenames from command line
    String filename1 = args[0];
    String filename2 = args[1];

    // create new textfilter objects
    TextFilter tf1 = new TextFilter();
    TextFilter tf2 = new TextFilter();

    // collectString on regular TextFilter objects will simply return the
    // contents of input as a string; TextFilter.fromFile creates a Java
    // Reader object from the given filename (which TextFilter requires for
    // input)
    String text1 = tf1.collectString(TextFilter.fromFile(filename1));
    String text2 = tf2.collectString(TextFilter.fromFile(filename2));

    if (text1.equals(text2)) {
      System.out.println("identical");
    }
    else {
      System.out.println("different");
    }
  }

}
